*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:'Poppins',sans-serif;
}

body{
    background: #080808;
    color: white;
    line-height: 1.6;
}

#header{
    width: 100%;
    height: 70vh;
}

.container{
    padding: 20px 10%;
}
html{
    scroll-behavior: smooth;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    
}

nav h1{
    font-size: 45px;
    font-weight: bold;
    color: white;
    letter-spacing: 2px;
}

nav span{
    color: red;
}

nav ul{
    display: flex;
}

nav ul li{
    list-style: none;
    margin-left: 30px;
}

nav ul li a{
    color: white;
    text-decoration: none;
    font-size: 17px;
    transition: 0.3s;
    position: relative;
    font-weight: 500;
}

nav ul li a::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff004f;
    position: absolute;
    left: 0;
    bottom: -6px;
    transition: 0.5s;
}
nav ul li a:hover::after{
    width: 100%;

}
.header-text{
    margin-top: 13%;
    font-size: 30px;
}
.header-text h1{
    font-size: 52px;
    margin-top: 20px;
    font-weight: 700;
     line-height: 1.2;
}
h1 small {
    font-size: 28px;
    font-weight: 500;
}
.header-text h1 span{
    color: #ff004f;
}
#about{
    padding: 80px 0;
    color:#e7e4e4 ;
}
.row{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.about-col-1{
    flex-basis: 35%;
}
.about-col-1 img{
    width: 100%;
    border-radius: 15px;
}
.about-col-2{
    flex-basis: 60%;
}
.sub-title{
    font-size: 58px;
    font-weight: 700;
    color: white;
     margin-bottom: 20px;
}
.tab-titles{
    display: flex;
    margin: 20px 0px 40px;

}
.tab-links{
    margin-right: 50px;
    font-size: 18px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}
.tab-links::after{
    content: '';
    width: 0;
    height: 3px;
    background: #ff004f;
    position: absolute;
    left: 0;
    bottom: -8px;
    transition: 0.5s;
}
.tab-links.active-link::after{
  width: 50%;
}
.tab-contents ul li{
    margin: 10px 0;
    list-style: none;

}

.tab-contents ul li span{
    color: #b54769;
    font-size: 14px;
}
.tab-contents{
    display: none;
}
.tab-contents.active-tab{
    display: block;
}

#services{
    padding: 30px 0;

}
.sub-title{
    font-size: 52px;
}
.services-list{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.services-list div{
    background: #1f1f1f;
    padding: 45px 35px;
    font-size: 13px;
    font-weight: 300;
    border-radius: 18px;
    transition: background 0.5s, transform 0.5s;
     box-shadow: 0 0 15px rgba(255,0,79,0.1);

}
.services-list div i{
    font-size: 50px;

}
.services-list div h2{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 15px;
}
.services-list div a{
    text-decoration: none;
    color: white;
    font-size: 12px;
    margin-top: 20px;
    display: inline-block;
}
.services-list div:hover{
    background: #ff004f;
    transform: translateY(-10px);
}
#portfolio{
    padding: 50px 0;

}
.work-list{
     display: grid;
    grid-template-columns: repeat(auto-fit,minmax(250px,1fr));
    grid-gap: 40px;
    margin-top: 50px;
}
.work{
    border-radius: 18px;
    position: relative;
    overflow: hidden;
}
.work img{
    width: 100%;
    border-radius: 18px;
    display: block;
    transition: transform 0.5s;
}
.layer{
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0,0,0,0.6),#ff004f);
    border-radius: 18px;
    position: absolute;
    left: 0;
    bottom: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 0 40px;
    text-align: center;
    font-size: 14px;
}
.layer h3{
  font-weight: 500;
  margin-bottom: 20px;
}
.layer a{
    margin-top: 20px;
    color: #ff004f;
    text-decoration: none;
    font-size: 18px;
    line-height: 60px;
    background: #e7e4e4;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    text-align: center;
}
.work:hover{
    transform: scale(1.1);
}
.btn{
    display: block;
    margin: 50px auto;
    width: fit-content;
    border: 1px solid #ff004f;
    padding:14px 50px;
    border-radius: 6px;
    text-decoration: none;
    color: white;
    transition: background 0.5s;
}
.btn:hover{
    background: #ff004f;
}
.contact-left{
    flex-basis: 35%;
}
.contact-right{
    flex-basis: 60%;
}
.contact-left p{
    margin-top: 30px;

}
.contact-left p i{
    color: #ff004f;
    margin-right: 15px;
    font-size: 25px;
}
.social-icons{
    margin-top: 30px;
}
.social-icons a{
    text-decoration: none;
    font-size: 30px;
    margin-right: 15px;
    color: #ababab;
    display: inline-block;
    transition: transform 0.5s;
}
.social-icons a:hover{
    color: #ff004f;
    transform: translateY(-5px);
}
.btn.btn2{
    display: inline-block;
    background: #ff004f;
}
.btn.btn2:hover{
    background-color: #ababab;
    color: black;
}
.contact-right form{
    width: 100%;


}
form input, form textarea{
    width: 100%;
    border: 0;
    outline: none;
    background: #262626;
    padding: 15px;
    margin: 15px 0;
    color: #fff;
    font-size: 18px;
    border-radius: 6px;
}
form .btn2{
    padding: 14px 60px;
    font-size: 18px;
    margin-top: 20px;
    cursor: pointer;
}
.copyright{
    width: 100%;
    text-align: center;
    padding: 30px 0;
    background: #262626;
     font-size: 15px;
    margin-top: 20px;
    font-weight: 300;
     color: #ababab;
}
.project-btn{
    display: inline-block;
    margin-top: 15px;
    padding: 10px 20px;
    background: white;
    color: #ff004f;
    text-decoration: none;
    border-radius: 30px;
    font-size: 14px;
    font-weight: 600;
    transition: 0.3s;
}

.project-btn:hover{
    background: #080808;
    color: white;
}

@media only screen and (max-width: 600px){

    #header{
         height: auto;
         padding-bottom: 60px;
    }

  

    nav{
        flex-direction: row;   /* ഇതാണ് main fix */
        justify-content: space-between;
        align-items: center;
    }

    nav h1{
        font-size: 28px;
        margin-bottom: 0;
    }

    nav ul{
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;   /* space കുറവായാൽ scroll */
        gap: 10px;
    }

    nav ul li{
        margin: 0 10px;
        white-space: nowrap;
    }


    .header-text{
        margin-top: 25%;
    font-size: 18px;
    }

    .header-text h1{
        font-size: 35px;
    }

    .sub-title{
        font-size: 38px;
    }

    .about-col-1,
    .about-col-2,
    .contact-left,
    .contact-right{
        flex-basis: 100%;
    }

    .about-col-1{
        margin-bottom: 30px;
    }

    .about-col-2{
        font-size: 14px;
    }

    .tab-links{
        font-size: 16px;
        margin-right: 20px;
    }

    .services-list{
        grid-template-columns: 1fr;
    }

    .work-list{
        grid-template-columns: 1fr;
    }

    .contact-left,
    .contact-right{
        width: 100%;
    }

    form .btn2{
        width: 100%;
    }

    .copyright{
        font-size: 13px;
    }
.phone-link,
.phone-link:visited,
.phone-link:hover,
.phone-link:active {
    color: #fff !important;
    text-decoration: none !important;
}

.phone-link i {
    color: #ff4f81 !important;
}

.phone-link span {
    color: #fff !important;
}

}